.TH FEDMSG-DG-REPLAY 1

.SH NAME
fedmsg\-dg\-replay \- replay a message from the datagrepper history on your local bus

.SH SYNOPSIS
.B fedmsg\-dg\-replay
.BR "\-\-msg\-id " MSG_ID
.RB [ "\-\-datagrepper\-url " DATAGREPPER_URL]
.RI [ "<common fedmsg options>" ]
.PP
.B fedmsg\-dg\-replay
.RB [ \-h | \-\-help ]
.SH OPTIONS
.TP
.BR \-h ", " \-\-help
Print an help message and exit
.TP
.BR "\-\-msg\-id " MSG_ID
Message id of the message to replay.
.TP
.BR "\-\-datagrepper\-url " DATAGREPPER_URL
URL of a datagrepper instance to query for history.

.SH COMMON FEDMSG OPTIONS
.TP
.BR "\-\-io\-threads " IO_THREADS
Number of io threads for 0mq to use
.TP
.BR "\-\-topic\-prefix " TOPIC_PREFIX
Prefix for the topic of each message sent.
.TP
.BR "\-\-post\-init\-sleep " POST_INIT_SLEEP
Number of seconds to sleep after initializing.
.TP
.BR "\-\-config\-filename " CONFIG_FILENAME
Config file to use.
.TP
.BR \-\-print\-config
Simply print out the configuration and exit. No action taken.
.TP
.BR "\-\-timeout " TIMEOUT
Timeout in seconds for any blocking zmq operations.
.TP
.BR "\-\-high\-water\-mark " HIGH_WATER_MARK
Limit on the number of messages in the queue before
blocking.
.TP
.BR "\-\-linger " ZMQ_LINGER
Number of milliseconds to wait before timing out connections.

.SH DESCRIPTION
.PP
.B fedmsg\-dg-replay
is an ephemeral command that queries a datagrepper instance for a
message to send to the local fedmsg bus, through a configured
.BR fedmsg\-relay (1)
instance.

The message is stripped of its original credentials. Local credentials are applied if the
.B sign_messages
configuration variable is set to True.

.SH SEE ALSO
.PP
.BR fedmsg\-relay (1)

.SH AUTHORS
.TP
.BR "The Fedora Infrastructure team" " <\&messaging\-sig@lists\&.fedoraproject\&.org\&>"
.RB "Wrote the " fedmsg " software\&."
.TP
.BR "Nicolas Dandrimont" " <\&olasd@debian\&.org\&>"
Wrote this manpage for the Debian system\&.

.SH COPYRIGHT
.br
Copyright \(co 2014 Nicolas Dandrimont
.br
.PP
This manual page was written for the Debian system (and may be used by
others)\&.
.PP
You can redistribute it and/or modify it under the terms of the GNU
Lesser General Public License as published by the Free Software
Foundation; either version 2.1 of the License, or (at your option) any
later version.
.PP
On Debian systems, a copy of the license can be found in the
.I /usr/share/common-licenses/LGPL-2.1
file.
.sp
